Bug 224060 - net-p2p/libtorrent-rasterbar: fails to build with boost 1.66 (7 ports skipped)
Summary: net-p2p/libtorrent-rasterbar: fails to build with boost 1.66 (7 ports skipped)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 223922
  Show dependency treegraph
 
Reported: 2017-12-03 20:46 UTC by Jan Beich
Modified: 2018-01-18 18:28 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (rezny)
yuri: maintainer-feedback+
jbeich: maintainer-feedback? (rm)
jbeich: maintainer-feedback? (swills)
jbeich: maintainer-feedback? (vg)


Attachments
update to 1.1.5.41 (RC_1_1 snapshot) (4.00 KB, patch)
2017-12-24 04:19 UTC, Jan Beich
no flags Details | Diff
update to 1.1.6 (commit message included) (3.28 KB, patch)
2018-01-01 21:30 UTC, Jan Beich
jbeich: maintainer-approval? (rezny)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-03 20:46:54 UTC
In file included from web_connection_base.cpp:44:
In file included from ../include/libtorrent/web_connection_base.hpp:56:
../include/libtorrent/peer_connection.hpp:910:3: error: incomplete type 'boost::asio::io_service' named in nested name specifier
                io_service::work m_work;
                ^~~~~~~~~~~~
../include/libtorrent/io_service_fwd.hpp:57:8: note: forward declaration of 'boost::asio::io_service'
        class io_service;
              ^
[...]

http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/libtorrent-rasterbar-1.1.4_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/libtorrent-rasterbar-1.1.4_3.log
Comment 1 Jan Beich freebsd_committer 2017-12-10 16:54:10 UTC
Upstream fix is incomplete (refer to See Also link). I plan to mark this port BROKEN. Unless other bustage is decimated this will probably happen at the start of 2018Q1 to avoid spoiling /quarterly.
Comment 2 Jan Beich freebsd_committer 2017-12-22 08:05:48 UTC
Fixed upstream in libtorrent to 1.1.6.
Comment 3 Jan Beich freebsd_committer 2017-12-24 04:19:31 UTC
Created attachment 189070 [details]
update to 1.1.5.41 (RC_1_1 snapshot)

This is what I've used to help upstream with testing. Just in case 1.1.6 is not released after bug 223922 lands.

- LOGGING enabled by default per https://github.com/arvidn/libtorrent/commit/e36b06602067
Comment 4 Jan Beich freebsd_committer 2018-01-01 21:30:28 UTC
Created attachment 189328 [details]
update to 1.1.6 (commit message included)

2018Q1 has branched in ports r457769, so I'm just waiting for a more recent exp-run before marking everything not fixed as BROKEN.
OTOH, 1.1.6 is out: https://github.com/arvidn/libtorrent/releases/tag/libtorrent-1_1_6

Build logs for libtorrent-rasterbar:
10.3 amd64   - https://clbin.com/LZgaG
10.3 i386    - https://clbin.com/OYnZv
10.4 amd64   - https://clbin.com/OosbH
10.4 i386    - https://clbin.com/WJWxt
11.1 aarch64 - https://clbin.com/AY2xi
11.1 amd64   - https://clbin.com/8OHLZ
11.1 armv6   - https://clbin.com/NVTS2
11.1 i386    - https://clbin.com/DLDYx
12.0 amd64   - https://clbin.com/GtUIc
12.0 armv6   - https://clbin.com/nPxTU
12.0 armv7   - https://clbin.com/cdbL9
12.0 i386    - https://clbin.com/mHUdr
12.0 aarch64 - https://clbin.com/VYI3V

Build logs for libtorrent-rasterbar-python:
10.3 amd64   - https://clbin.com/ymzcr
10.3 i386    - https://clbin.com/Ao8v9
10.4 amd64   - https://clbin.com/dPSpD
10.4 i386    - https://clbin.com/Xa44e
11.1 aarch64 - https://clbin.com/11T7X
11.1 amd64   - https://clbin.com/e4Epw
11.1 armv6   - https://clbin.com/rhNIi
11.1 i386    - https://clbin.com/i8rDm
12.0 amd64   - https://clbin.com/GldGt
12.0 armv6   - https://clbin.com/EI3Vm
12.0 armv7   - https://clbin.com/ETY3v
12.0 i386    - https://clbin.com/IVbSz
12.0 aarch64 - https://clbin.com/DsCFp

Build logs for qbittorrent:
10.3 i386    - https://clbin.com/ezEJK
11.1 amd64   - https://clbin.com/bIhZd
Comment 5 Jan Beich freebsd_committer 2018-01-17 23:39:20 UTC
No feedback and no runtime QA. Do maintainers of consumer ports care?
Comment 6 Yuri Victorovich freebsd_committer 2018-01-17 23:52:01 UTC
Thank you for the patch.
Comment 7 Jan Beich freebsd_committer 2018-01-18 00:19:42 UTC
Does 1.1.6 work for you? I'm not confident to land under maintainer timeout otherwise.
Comment 8 Yuri Victorovich freebsd_committer 2018-01-18 02:58:21 UTC
Confirmed: qbittorrent-4.0.2 works fine with this patch.
Comment 9 commit-hook freebsd_committer 2018-01-18 18:28:28 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jan 18 18:27:26 UTC 2018
New revision: 459367
URL: https://svnweb.freebsd.org/changeset/ports/459367

Log:
  net-p2p/libtorrent-rasterbar: update to 1.1.6

  - LOGGING is now enabled by default, following upstream, see
    https://github.com/arvidn/libtorrent/commit/e36b06602067

  Changes:	https://github.com/arvidn/libtorrent/releases/tag/libtorrent-1_1_5
  Changes:	https://github.com/arvidn/libtorrent/releases/tag/libtorrent-1_1_6
  Changes:	https://github.com/arvidn/libtorrent/compare/libtorrent-1_1_4...libtorrent-1_1_6
  PR:		224060
  Tested by:	yuri
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/libtorrent-rasterbar/distinfo
  head/net-p2p/libtorrent-rasterbar/files/patch-include_libtorrent_config.hpp